@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;400;700&display=swap');

body {
  margin: 0 10%;
  height: 100vh;

  * {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
  }

  a {
    color: black;
    text-decoration: none;

    &:hover {
      text-decoration: underline;
      color: #BD4C4C;
    }
  }

  .inline {
    display: inline-block;
  }

  font-family: 'Roboto', sans-serif;

  ul {
    list-style: none;
    padding: 0;
    margin: 0;

    li {
      display: inline-block;
    }
  }

  .dropdown {
    border: 1px solid #bdbdbd;
    ul {
      background: #acacac;

      li {
        display: block;
        padding: .95rem 3rem;
        background: #ffffff;
        cursor: pointer;

        &:hover {
          background: #dcdcdc;
        }
      }
    }
  }

  nav {
    height: auto;

    .bottom {
      display: flex;
      justify-content: space-between;
      align-items: center;
      border-bottom: 1px #bdbdbd solid;

      &.responsive {
        flex-wrap: wrap;

        .title {
          flex-basis: auto;
        }

        .menu {
          display: block;
          width: 100%;

          .btn {
            display: block;
            text-align: center;
            flex-basis: 100%;
            padding: .75rem;

            &.cart {
              margin: 0 1.5rem;
            }
          }
        }
      }

      img {
        position: relative;
        height: 35px;
        left: .8rem;
      }

      .pseudo-menu {
        display: none;
        font-size: 1.75rem;
        flex-basis: auto;
        order: 2;

        @media(max-width: 700px) {
          display: inline-block;
        }
      }

      .search {
        display: flex;
        border: 1px solid #bdbdbd;
        padding-left: .75rem;
        align-items: center;
        flex-basis: 30%;
        justify-content: space-between;

        .bar {
          border: none;
          outline: none;
          width: 100%;
        }

        .btn {
          border: none;
          background: #ea8e8e;
          color: white;
          height: 1.8rem;
          width: 1.8rem;
          margin: .2rem;

          border-radius: 0;
          cursor: pointer;

          transition: ease-in-out 150ms;

          &:hover {
            background: #ce6969;
          }
        }
      }

      .menu {
        order: 2;
        align-self: stretch;

        @media(max-width: 700px) {
          display: none;
        }

        .btn {
          display: inline-block;
          height: 100%;

          .btnText {
            font-size: 1rem;
            padding: 1.25rem .5rem 1.25rem .5rem;
            cursor: pointer;
            height: 100%;
            text-transform: uppercase;
            font-weight: 700;

            &:hover {
              color: #CD7B7B;
               + .dropdown {
                display: block;
              }
            }
          }

          .dropdown {
            display: none;
            position: absolute;
            transition-delay: 1s;

            .content {
              right: 0;
              padding: 0;
            }

            &:hover {
              display: block;
            }
          }
        }
      }
    }

    .top {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      border-bottom: 1px #bdbdbd solid;
      padding: .3em;

      .login-href {
        margin-left: 1rem;
      }

      .formDialog {
        display: block;
        height: 100%;

        .btnText {
          cursor: pointer;
          height: 100%;

          &:hover {
            color: #BD4C4C;
            text-decoration: underline;
          }
        }

        .checkboxBtn {
          display: none;

          &:checked {
            + .formContent {
              display: block;
            }
          }
        }

        .formContent {
          display: none;
          position: absolute;
          background: #d2d2d2;
          padding: .75rem;

          a {
            display: block;
          }
        }
      }

      @media(max-width: 700px) {
        display: none;
      }

      .menu li {
        padding: 0 .5rem 0 .5rem;
      }

      .login {
        a {
          color: black;

          &:hover {
            color: #BD4C4C;
          }
        }
      }
    }

    .title {
      padding: .5rem;
      font-size: 2rem;
      order: 1;
    }
  }

  .content {
    padding: .5rem 3.5rem;

    .title {
      font-weight: normal;
      margin: 1.75rem 0 0 0;
      font-size: 1.8rem;
    }

    .flex-container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
    }

    .news {
      display: flex;
      padding: 1rem 0;

      .new {
        max-width: 25rem;
        border: 1px solid rgba(0, 0, 0, 0.2);
        padding: 1.5rem;
      }
    }

    .products {
      display: flex;
      padding: 1rem 0;
      justify-content: space-evenly;
      flex-wrap: wrap;

      .product {
        display: flex;
        flex-direction: column;
        border: 1px solid rgba(0, 0, 0, 0.2);
        max-width: 22rem;
        max-height: 22rem;
        margin-bottom: 1rem;

        @media(max-width: 1400px) {
          max-width: 15rem;
          max-height: 15rem;
        }

        .product-view {
          display: inline-block;
          height: 10rem;
          width: 20rem;
          object-fit: cover;

          @media(max-width: 1400px) {
            height: 5rem;
            width: 14rem;
          }
        }

        .info {
          display: inline-block;
          padding: 1rem;

          .name {
            font-size: 1.5rem;
            margin: 0;

            @media(max-width: 1400px) {
              font-size: 1.2rem;
            }
          }

          .stock {
            font-weight: 700;
            text-transform: uppercase;
            font-size: .9rem;

            @media(max-width: 1400px) {
              font-size: .75rem;
            }

            &.green {
              color: #6bbe6f;
            }

            &.orange {
              color: #be886b;
            }

            &.red {
              color: #be6b6b;
            }
          }

          .price {
            font-size: 1.25rem;

            @media(max-width: 1400px) {
              font-size: 1rem;
            }
          }
        }

        .control {
          display: flex;
          padding: 0 1rem 1rem 1rem;

          button {
            border: none;
            border-radius: 0;
            font-size: 1.15rem;
            padding: .35rem;
            background: none;

            cursor: pointer;
            transition: ease-in-out 150ms;

            @media(max-width: 1400px) {
              font-size: 1rem;
            }
          }

          .buy {
            &:hover {
              color: #e27878;
            }
          }
        }
      }
    }
  }

  footer {
    display: flex;
    position: static;
    justify-content: space-between;
    align-items: center;
    padding: 3rem;
    border-top: 1px solid #bdbdbd;
    margin-bottom: 0;

    .social {
      font-size: 2rem;
    }

    .pages {
      text-align: center;
      a {
        display: block;
      }
    }
  }
}